<!DOCTYPE HTML>

<html lang="en" xmlns:th="http://www.thymeleaf.org">
	
	<head>
		<title>Save Employee</title>
		
		 <!-- Required meta tags -->
	    <meta charset="utf-8">
	    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	
	    <!-- Bootstrap CSS -->
	    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	</head>
	
	<body>
		
		<div class="container">
			
			<h3>Employee Directory</h3>
			<hr>
			
			<p class="h4 mb-4">Save Employee</p>
			
			<form action="#" th:action="@{/employees/save}"
							 th:object="${employee}" method="POST">
							 
				<!-- Add hidden form field to handle update -->
				<input type="hidden" th:field="*{id}"/>
				
				<input type="text" th:field="*{firstName}"
						class="form-control mb-4 col-4" placeholder="First Name">		
				<input type="text" th:field="*{lastName}"
						class="form-control mb-4 col-4" placeholder="Last Name">
				<input type="text" th:field="*{email}"
						class="form-control mb-4 col-4" placeholder="Email">	
				<button type="submit" class="btn btn-info col-2">Save</button>	 
			</form>
			<hr>
			<a th:href="@{/employees/list}">Back to Employees Page</a>
		</div>
	</body>
	
</html>